Package: org.codehaus.groovy.grails.resolve.reporting

## [Groovy] Class SimpleGraphRenderer

- org.codehaus.groovy.grails.resolve.reporting.SimpleGraphRenderer

- All Implemented Interfaces and Traits:
    DependencyGraphRenderer

      @groovy.transform.CompileStatic
      class SimpleGraphRenderer
      extends java.lang.Object

  A graph renderer that outputs a dependency graph to system out or the given writer.

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `ansiEnabled`
    `java.lang.String` | `description`
    `java.lang.String` | `scope`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SimpleGraphRenderer (java.lang.String scope, java.lang.String description)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `render(GraphNode root, java.io.Writer writer)`
    `void` | `render(GraphNode root)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### boolean ansiEnabled

    - #### java.lang.String description

    - #### java.lang.String scope

  - ### Constructor Detail

    - #### SimpleGraphRenderer(java.lang.String scope, java.lang.String description)

  - ### Method Detail

    - #### void render(GraphNode root, java.io.Writer writer)

    - #### void render(GraphNode root)